package com.fjhx.victoriatourist.controller.jd;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.dto.JdRefundSelectDto;
import com.fjhx.victoriatourist.entity.jd.po.JdRefund;
import com.fjhx.victoriatourist.service.jd.JdRefundService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 京东售后退货 前端控制器
 * </p>
 *
 * @author
 * @since 2024-09-25
 */
@RestController
@RequestMapping("/jdRefund")
public class JdRefundController {

    @Autowired
    private JdRefundService JdRefundService;

    @GetMapping("/getPage")
    public Page<JdRefund> getPage(JdRefundSelectDto dto) {
        return JdRefundService.getPage(dto);
    }

}
