package com.fjhx.victoriatourist.controller.jd;

import com.fjhx.victoriatourist.entity.jd.dto.JdRefundDetailSelectDto;
import com.fjhx.victoriatourist.entity.jd.po.JdRefundDetail;
import com.fjhx.victoriatourist.service.jd.JdRefundDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * <p>
 * 京东售后退货明细 前端控制器
 * </p>
 *
 * @author
 * @since 2024-09-25
 */
@RestController
@RequestMapping("/jdRefundDetail")
public class JdRefundDetailController {

    @Autowired
    private JdRefundDetailService jdRefundDetailService;

    @GetMapping("/getList")
    public List<JdRefundDetail> getList(JdRefundDetailSelectDto dto) {
        return jdRefundDetailService.getList(dto);
    }

}
